Name:           python3-qface
Version:        2.0.5
Release:        2%{?dist}
Summary:        Qt Interface Builder
BuildArch:      noarch

License:        MIT
URL:            https://github.com/Pelagicore/qface
Source0:        https://github.com/Pelagicore/qface/archive/refs/tags/%{version}.tar.gz
Patch0:         qface-2.0.5-fix_typing.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires: python3-antlr4-runtime
Requires: python3-click
Requires: python3-coloredlogs
Requires: python3-jinja2
Requires: python3-path
Requires: python3-pyyaml
Requires: python3-setuptools
Requires: python3-six
Requires: python3-watchdog

%description
QFace is a generator framework based on a common modern IDL. It is not
a generator as such but enforces a common IDL format and provides a
library to write your own generator. It is actually very easy to
create your own generator and generate your custom solution based on
your needs from the same IDL.

%prep
%setup -q -n qface-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install
chmod 0755 %{buildroot}%{python3_sitelib}/qface/app.py

%files
%license LICENSE
%doc README.md USAGE.md
%{python3_sitelib}/qface
%{python3_sitelib}/qface-*.egg-info

%{_bindir}/qface

%changelog
* Wed Jan  5 2022 Stephen Smoogen <smooge@fedoraproject.org> - 2.0.5-2
- Add a patch to allow for modern python including typing library

* Tue Dec 14 2021 Stephen Smoogen <smooge@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5
- Remove patches as they are incorporated in 2.0.4 and 2.0.5
- Add a chmod to app.py to pass rpmlint
- Remove sitelib/* so that it passes rpm-review

* Wed Apr 28 2021 Alexander Larsson <alexl@redhat.com> - 2.0.3-1
- Initial version
